NemoMath - Enhancement #949
Initialization of Vector with dim and gen
03/14/2012 02:34 PM - C. Emmerich

Status: Resolved Start date: 03/14/2012
Priority: Normal Due date:

Assignee: M. Rolf % Done: 100%
Category: Estimated time: 0.00 hour
Target version: NemoMath 0.4

Description

Initialization of a Vector with dimensions of an existing vector and a generator is not convenient. Example code:

RealVector v(dim(5), 0.0);
RealVector vi1(v.dimension(), 1.0);

RealVector v2(v.dimension(), uniform<double>(0, 1.0));

/I <-works perfectly
/I <- compiler error

RealVector v3(dim(v.dimension()),uniform<double>(0, 1.0)); // <- work arround

Error:

Vector.h:67: error: ‘nemo::VectorDimension::VectorDimension(unsigned int)’ is private

History

#1 - 03/27/2012 03:41 PM - M. Rolf

- Assignee set to M. Rolf

- Target version set to NemoMath 0.4
- % Done changed from 0 to 100

#2 - 03/27/2012 03:41 PM - M. Rolf
- Status changed from New to Resolved
